
QGIS Application - Bug report #11405

"merge selected features" broke on qgis master 

2014-10-14 12:52 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19685

Description

it seems that the tool does not work anymore in master, testing with PostGIS layers.

With the same test db/layer it is ok on qgis 2.4

Master returns a

"an error occurred during the merge operation"

message.

It seems fine with shapefiles.

Related issues:

Related to QGIS Application - Bug report # 11408: No longer possible to copy-... Closed 2014-10-14

Related to QGIS Application - Bug report # 11400: merge features disregards type Closed 2014-10-13

Related to QGIS Application - Bug report # 11409: Merge attributes from selec... Closed 2014-10-14

History

#1 - 2014-10-14 01:30 AM - Gavin Fleming

I can confirm on master

#2 - 2014-10-14 03:22 AM - Giovanni Manghi

Gavin Fleming wrote:

I can confirm on master

what about the case you reported here #11400 ? please leave feedback. Thanks.

#3 - 2014-10-14 07:35 AM - Alexandre Neto

The tool seems to work fine with shapefiles.

On the other hand, it works well in postgis layer with features that have not been commited to the database yet. Primary key problems?
#4 - 2014-10-15 08:01 AM - Jürgen Fischer

- Status changed from Open to Feedback

Is this also fixed with commit:d1e23a60 ?

#5 - 2014-10-15 06:01 PM - Alexandre Neto

It seams to be working correctly on the latest master. Close?

#6 - 2014-10-16 01:18 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Alexandre Neto wrote:

It seams to be working correctly on the latest master. Close?

if you tested and works then closing.
